QGIS Application - Bug report #16637

Problem with empty values in getFeatures with OrderBy

2017-05-29 10:52 PM - Marcos Medeiros

Status: Closed
Priority: Normal
Assignee:

Category: Expressions

Affected QGIS version:2.16.1

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 24537

Description

| am trying to display features list on my own QAbstractTableModel.
By now it can sort columns just fine when all rows contains data. But whenever the column contains NULL/empty values the
QgsVectorLayer::getFeatures method crash the application.

Code:
QgsFeatureRequest req;

req.addOrderBy(mLayer->attributeDisplayName(column), order == Qt::AscendingOrder);

QgsFeaturelterator it = mLayer->getFeatures(req);

QgsFeature feature;

long row = 0;

while (it.nextFeature(feature)) {
mRowToFeatureld[row++] = feature.id();

History

#1 - 2017-05-30 02:03 AM - Nyall Dawson
- Status changed from Open to Feedback

2.16 is no longer supported. Is this reproducible in 2.18.9?

#2 - 2017-09-25 04:45 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
